This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 481681 - Review Request: perl-MooseX-ClassAttribute - Declare class attributes Moose-style
Review Request: perl-MooseX-ClassAttribute - Declare class attributes Moose-...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-26 19:46 EST by Allisson Azevedo
Modified: 2012-01-15 17:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-31 10:47:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Allisson Azevedo 2009-01-26 19:46:03 EST
Spec URL: http://allisson.fedorapeople.org/packages/perl-MooseX-ClassAttribute/perl-MooseX-ClassAttribute.spec

SRPM URL: http://allisson.fedorapeople.org/packages/perl-MooseX-ClassAttribute/perl-MooseX-ClassAttribute-0.07-1.fc10.src.rpm

Description: This module allows you to declare class attributes in exactly the same way as 
object attributes, using class_has() instead of has().

You can use any feature of Moose's attribute declarations, including overriding 
a parent's attributes, delegation (handles), and attribute metaclasses, and it 
should just work. The one exception is the "required" flag, which is not 
allowed for class attributes.

The accessor methods for class attribute may be called on the class directly, 
or on objects of that class. Passing a class attribute to the constructor will 
not set it.
Comment 1 manuel wolfshant 2009-01-26 20:08:07 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     SHA1SUM of package: cc2a9c7d7d76397230b6b8fecedca7fb14aed921 MooseX-ClassAttribute-0.07.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64
 [?] Package should compile and build into binary rpms on all supported architectures.
     Tested on: noarch, perl module
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] "make test" passes


Obs:
It does not make much sense to %define something and use it in just one place. I assume you wanted to shorten the Source line, but you might just as well use %{tarname} in the URL
I suggest to remove the commented "perl_vendorarch" lines, they are as useless as they could be.

========
APPROVED
========
Comment 2 Allisson Azevedo 2009-01-26 20:22:10 EST
New Package CVS Request
=======================
Package Name: perl-MooseX-ClassAttribute
Short Description: Declare class attributes Moose-style
Owners: allisson
Branches: F-9 F-10
Comment 3 Kevin Fenzi 2009-01-28 00:43:30 EST
cvs done.
Comment 4 Iain Arnell 2012-01-15 04:18:40 EST
Package Change Request
======================
Package Name: perl-MooseX-ClassAttribute
InitialCC: perl-sig

Please add perl-sig to this package with watchbugzilla and watchcommits bits on all fedora branches.
Comment 5 Gwyn Ciesla 2012-01-15 17:08:25 EST
Done.

Note You need to log in before you can comment on or make changes to this bug.